Loading...
Searching...
No Matches
fastjet::CMSIterativeConePlugin Class Reference
Plugins for non-native jet definitions

Implementation of the CMS Iterative Cone (plugin for fastjet v2.4 upwards). More...

`#include <fastjet/CMSIterativeConePlugin.hh>`

Inheritance diagram for fastjet::CMSIterativeConePlugin:
[legend]
Collaboration diagram for fastjet::CMSIterativeConePlugin:
[legend]

## Public Member Functions

| CMSIterativeConePlugin (double ConeRadius, double SeedThreshold=1.0)
| Main constructor for the CMSIterativeCone Plugin class.
| CMSIterativeConePlugin (const CMSIterativeConePlugin &plugin)
| copy constructor
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list
virtual double | seed_threshold () const
| get the seed threshold
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the CMS Iterative Cone (plugin for fastjet v2.4 upwards).

Definition at line 49 of file CMSIterativeConePlugin.hh.

## Constructor & Destructor Documentation

## CMSIterativeConePlugin() [1/2]

fastjet::CMSIterativeConePlugin::CMSIterativeConePlugin | ( | double | ConeRadius,
|  | double | SeedThreshold = 1.0 )

inline

Main constructor for the CMSIterativeCone Plugin class.

The arguments are ConeRadius the radius of the cone SeedThreshold a threshold for the seeds to iterate from

NOTE: to be more coherent with all other fastjet plugins, we've put the radius before the seed threshold. CMS does the opposite. In this way, we also put a default value of 0 for the seed threshold.

Definition at line 62 of file CMSIterativeConePlugin.hh.

## CMSIterativeConePlugin() [2/2]

fastjet::CMSIterativeConePlugin::CMSIterativeConePlugin | ( | const CMSIterativeConePlugin & | plugin | ) |

inline

copy constructor

Definition at line 66 of file CMSIterativeConePlugin.hh.

## Member Function Documentation

## description()

string fastjet::CMSIterativeConePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 87 of file CMSIterativeConePlugin.cc.

## run_clustering()

void fastjet::CMSIterativeConePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 93 of file CMSIterativeConePlugin.cc.

## R()

virtual double fastjet::CMSIterativeConePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list

Implements fastjet::JetDefinition::Plugin.

Definition at line 76 of file CMSIterativeConePlugin.hh.

## seed_threshold()

virtual double fastjet::CMSIterativeConePlugin::seed_threshold | ( |  | ) | const

inline virtual

get the seed threshold

Definition at line 79 of file CMSIterativeConePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/CMSIterativeCone/fastjet/CMSIterativeConePlugin.hh
- plugins/CMSIterativeCone/CMSIterativeConePlugin.cc